Pagina Principale/PHP

Page last edited 1 957 giorni 16 ore fa
Da wiki.betaingegneria.it.

PHP: PHypertextPreprocessor[modifica]

Il linguaggio per web che uso di più e con cui mi trovo meglio. Il più figo è Python, ma lo uso poco.

Installare le estensioni Oracle OCI[modifica]

Parto dalla situazione in cui ho giò PHP e gli instantclient Oracle a bordo.

  $ sudo apt-get install php-pear
  $ sudo pecl install oci8
    ... 
    Please provide the path to the ORACLE_HOME directory. Use 'instantclient,/path/to/instant/client/lib' if you're compiling with Oracle Instant Client [autodetect] : 
    ---> instantclient,/opt/oracle/instantclient_10_2
    ...
    Build process completed successfully
    Installing '/usr/lib/php5/20090626/oci8.so'
    install ok: channel://pecl.php.net/oci8-1.4.7
    configuration option "php_ini" is not set to php.ini location
    You should add "extension=oci8.so" to php.ini
  $
  $ sudo touch /etc/php5/conf.d/oci8.ini
  $ sudo vi /etc/php5/conf.d/oci8.ini
    extension=oci8.so
    ':q!'
  $ sudo apachectl restart

Però instantclient non funziona con charset diversi da utf8![modifica]

Questo è quello che trovo in questo sito dove è citato un misterioso file /etc/zrc.d che io non trovo nel mio fs. In quest'altro sito c'è un workaround per questo.

Installare estensione GD[modifica]

  $ sudo apt-get install php5-gd

Fare ripartire Apache.

  $ sudo apachectl restart

Per verificare che è stato installato: o così:

  $ php5 -m | grep -i gd
  gd

oppure da una pagina info.php contentente

  <?php phpinfo(); ?>